Index: /trunk/src/wp-includes/js/media/views/attachments/browser.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachments/browser.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachments/browser.js	(revision 31935)
@@ -21,20 +21,5 @@
  *                                              Accepts true, false, and 'errors'.
  */
-var View = require( '../view.js' ),
-	Library = require( '../attachment/library.js' ),
-	Toolbar = require( '../toolbar.js' ),
-	Spinner = require( '../spinner.js' ),
-	Search = require( '../search.js' ),
-	Label = require( '../label.js' ),
-	Uploaded = require( '../attachment-filters/uploaded.js' ),
-	All = require( '../attachment-filters/all.js' ),
-	DateFilter = require( '../attachment-filters/date.js' ),
-	UploaderInline = require( '../uploader/inline.js' ),
-	Attachments = require( '../attachments.js' ),
-	Sidebar = require( '../sidebar.js' ),
-	UploaderStatus = require( '../uploader/status.js' ),
-	Details = require( '../attachment/details.js' ),
-	AttachmentCompat = require( '../attachment-compat.js' ),
-	AttachmentDisplay = require( '../settings/attachment-display.js' ),
+var View = wp.media.View,
 	mediaTrash = wp.media.view.settings.mediaTrash,
 	l10n = wp.media.view.l10n,
@@ -53,5 +38,5 @@
 			display: false,
 			sidebar: true,
-			AttachmentView: Library
+			AttachmentView: wp.media.view.Attachment.Library
 		});
 
@@ -104,9 +89,9 @@
 		* @member {wp.media.view.Toolbar}
 		*/
-		this.toolbar = new Toolbar( toolbarOptions );
+		this.toolbar = new wp.media.view.Toolbar( toolbarOptions );
 
 		this.views.add( this.toolbar );
 
-		this.toolbar.set( 'spinner', new Spinner({
+		this.toolbar.set( 'spinner', new wp.media.view.Spinner({
 			priority: -60
 		}) );
@@ -115,5 +100,5 @@
 			// "Filters" will return a <select>, need to render
 			// screen reader text before
-			this.toolbar.set( 'filtersLabel', new Label({
+			this.toolbar.set( 'filtersLabel', new wp.media.view.Label({
 				value: l10n.filterByType,
 				attributes: {
@@ -124,5 +109,5 @@
 
 			if ( 'uploaded' === this.options.filters ) {
-				this.toolbar.set( 'filters', new Uploaded({
+				this.toolbar.set( 'filters', new wp.media.view.AttachmentFilters.Uploaded({
 					controller: this.controller,
 					model:      this.collection.props,
@@ -130,5 +115,5 @@
 				}).render() );
 			} else {
-				Filters = new All({
+				Filters = new wp.media.view.AttachmentFilters.All({
 					controller: this.controller,
 					model:      this.collection.props,
@@ -155,5 +140,5 @@
 
 			// DateFilter is a <select>, screen reader text needs to be rendered before
-			this.toolbar.set( 'dateFilterLabel', new Label({
+			this.toolbar.set( 'dateFilterLabel', new wp.media.view.Label({
 				value: l10n.filterByDate,
 				attributes: {
@@ -162,5 +147,5 @@
 				priority: -75
 			}).render() );
-			this.toolbar.set( 'dateFilter', new DateFilter({
+			this.toolbar.set( 'dateFilter', new wp.media.view.DateFilter({
 				controller: this.controller,
 				model:      this.collection.props,
@@ -266,5 +251,5 @@
 		} else if ( this.options.date ) {
 			// DateFilter is a <select>, screen reader text needs to be rendered before
-			this.toolbar.set( 'dateFilterLabel', new Label({
+			this.toolbar.set( 'dateFilterLabel', new wp.media.view.Label({
 				value: l10n.filterByDate,
 				attributes: {
@@ -273,5 +258,5 @@
 				priority: -75
 			}).render() );
-			this.toolbar.set( 'dateFilter', new DateFilter({
+			this.toolbar.set( 'dateFilter', new wp.media.view.DateFilter({
 				controller: this.controller,
 				model:      this.collection.props,
@@ -282,5 +267,5 @@
 		if ( this.options.search ) {
 			// Search is an input, screen reader text needs to be rendered before
-			this.toolbar.set( 'searchLabel', new Label({
+			this.toolbar.set( 'searchLabel', new wp.media.view.Label({
 				value: l10n.searchMediaLabel,
 				attributes: {
@@ -289,5 +274,5 @@
 				priority:   60
 			}).render() );
-			this.toolbar.set( 'search', new Search({
+			this.toolbar.set( 'search', new wp.media.view.Search({
 				controller: this.controller,
 				model:      this.collection.props,
@@ -338,5 +323,5 @@
 
 	createUploader: function() {
-		this.uploader = new UploaderInline({
+		this.uploader = new wp.media.view.UploaderInline({
 			controller: this.controller,
 			status:     false,
@@ -358,5 +343,5 @@
 
 	createAttachments: function() {
-		this.attachments = new Attachments({
+		this.attachments = new wp.media.view.Attachments({
 			controller:           this.controller,
 			collection:           this.collection,
@@ -394,5 +379,5 @@
 		var options = this.options,
 			selection = options.selection,
-			sidebar = this.sidebar = new Sidebar({
+			sidebar = this.sidebar = new wp.media.view.Sidebar({
 				controller: this.controller
 			});
@@ -401,5 +386,5 @@
 
 		if ( this.controller.uploader ) {
-			sidebar.set( 'uploads', new UploaderStatus({
+			sidebar.set( 'uploads', new wp.media.view.UploaderStatus({
 				controller: this.controller,
 				priority:   40
@@ -419,5 +404,5 @@
 			single = this.options.selection.single();
 
-		sidebar.set( 'details', new Details({
+		sidebar.set( 'details', new wp.media.view.Attachment.Details({
 			controller: this.controller,
 			model:      single,
@@ -425,5 +410,5 @@
 		}) );
 
-		sidebar.set( 'compat', new AttachmentCompat({
+		sidebar.set( 'compat', new wp.media.view.AttachmentCompat({
 			controller: this.controller,
 			model:      single,
@@ -432,5 +417,5 @@
 
 		if ( this.options.display ) {
-			sidebar.set( 'display', new AttachmentDisplay({
+			sidebar.set( 'display', new wp.media.view.Settings.AttachmentDisplay({
 				controller:   this.controller,
 				model:        this.model.display( single ),
Index: /trunk/src/wp-includes/js/media/views/attachments/selection.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/attachments/selection.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/attachments/selection.js	(revision 31935)
@@ -1,3 +1,3 @@
-/*globals _ */
+/*globals wp, _ */
 
 /**
@@ -10,6 +10,5 @@
  * @augments Backbone.View
  */
-var Attachments = require( '../attachments.js' ),
-	AttachmentSelection = require( '../attachment/selection.js' ),
+var Attachments = wp.media.view.Attachments,
 	Selection;
 
@@ -22,5 +21,5 @@
 
 			// The single `Attachment` view to be used in the `Attachments` view.
-			AttachmentView: AttachmentSelection
+			AttachmentView: wp.media.view.Attachment.Selection
 		});
 		// Call 'initialize' directly on the parent class.
Index: /trunk/src/wp-includes/js/media/views/audio-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/audio-details.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/audio-details.js	(revision 31935)
@@ -12,5 +12,5 @@
  * @augments Backbone.View
  */
-var MediaDetails = require( './media-details' ),
+var MediaDetails = wp.media.view.MediaDetails,
 	AudioDetails;
 
Index: /trunk/src/wp-includes/js/media/views/button-group.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/button-group.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/button-group.js	(revision 31935)
@@ -9,10 +9,8 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Button = require( './button.js' ),
-	$ = Backbone.$,
+var $ = Backbone.$,
 	ButtonGroup;
 
-ButtonGroup = View.extend({
+ButtonGroup = wp.media.View.extend({
 	tagName:   'div',
 	className: 'button-group button-large media-button-group',
@@ -26,5 +24,5 @@
 				return button;
 			} else {
-				return new Button( button ).render();
+				return new wp.media.view.Button( button ).render();
 			}
 		});
Index: /trunk/src/wp-includes/js/media/views/button.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/button.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/button.js	(revision 31935)
@@ -9,8 +9,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Button;
-
-Button = View.extend({
+var Button = wp.media.View.extend({
 	tagName:    'a',
 	className:  'media-button',
Index: /trunk/src/wp-includes/js/media/views/button/delete-selected-permanently.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/button/delete-selected-permanently.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/button/delete-selected-permanently.js	(revision 31935)
@@ -1,2 +1,4 @@
+/*globals wp */
+
 /**
  * wp.media.view.DeleteSelectedPermanentlyButton
@@ -12,5 +14,5 @@
  */
 var Button = wp.media.view.Button,
-	DeleteSelected = require( './delete-selected.js' ),
+	DeleteSelected = wp.media.view.DeleteSelectedButton,
 	DeleteSelectedPermanently;
 
Index: /trunk/src/wp-includes/js/media/views/cropper.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/cropper.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/cropper.js	(revision 31935)
@@ -15,7 +15,6 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	UploaderStatusError = require( './uploader/status-error.js' ),
-	UploaderStatus = require( './uploader/status.js' ),
+var View = wp.media.View,
+	UploaderStatus = wp.media.view.UploaderStatus,
 	l10n = wp.media.view.l10n,
 	$ = jQuery,
@@ -59,5 +58,5 @@
 		var filename = this.options.attachment.get('filename');
 
-		this.views.add( '.upload-errors', new UploaderStatusError({
+		this.views.add( '.upload-errors', new wp.media.view.UploaderStatusError({
 			filename: UploaderStatus.prototype.filename(filename),
 			message: window._wpMediaViewsL10n.cropError
Index: /trunk/src/wp-includes/js/media/views/edit-image.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/edit-image.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/edit-image.js	(revision 31935)
@@ -9,5 +9,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
+var View = wp.media.View,
 	EditImage;
 
Index: /trunk/src/wp-includes/js/media/views/embed.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/embed.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/embed.js	(revision 31935)
@@ -7,11 +7,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	EmbedImage = require( './embed/image.js' ),
-	EmbedLink = require( './embed/link.js' ),
-	EmbedUrl = require( './embed/url.js' ),
-	Embed;
-
-Embed = View.extend({
+var Embed = wp.media.View.extend({
 	className: 'media-embed',
 
@@ -20,5 +14,5 @@
 		 * @member {wp.media.view.EmbedUrl}
 		 */
-		this.url = new EmbedUrl({
+		this.url = new wp.media.view.EmbedUrl({
 			controller: this.controller,
 			model:      this.model.props
@@ -47,7 +41,7 @@
 
 		if ( 'image' === type ) {
-			constructor = EmbedImage;
+			constructor = wp.media.view.EmbedImage;
 		} else if ( 'link' === type ) {
-			constructor = EmbedLink;
+			constructor = wp.media.view.EmbedLink;
 		} else {
 			return;
Index: /trunk/src/wp-includes/js/media/views/embed/image.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/embed/image.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/embed/image.js	(revision 31935)
@@ -11,5 +11,5 @@
  * @augments Backbone.View
  */
-var AttachmentDisplay = require( '../settings/attachment-display.js' ),
+var AttachmentDisplay = wp.media.view.Settings.AttachmentDisplay,
 	EmbedImage;
 
Index: /trunk/src/wp-includes/js/media/views/embed/link.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/embed/link.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/embed/link.js	(revision 31935)
@@ -10,9 +10,8 @@
  * @augments Backbone.View
  */
-var Settings = require( '../settings.js' ),
-	$ = jQuery,
+var $ = jQuery,
 	EmbedLink;
 
-EmbedLink = Settings.extend({
+EmbedLink = wp.media.view.Settings.extend({
 	className: 'embed-link-settings',
 	template:  wp.template('embed-link-settings'),
Index: /trunk/src/wp-includes/js/media/views/embed/url.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/embed/url.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/embed/url.js	(revision 31935)
@@ -9,5 +9,5 @@
  * @augments Backbone.View
  */
-var View = require( '../view.js' ),
+var View = wp.media.View,
 	$ = jQuery,
 	EmbedUrl;
Index: /trunk/src/wp-includes/js/media/views/focus-manager.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/focus-manager.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/focus-manager.js	(revision 31935)
@@ -7,8 +7,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	FocusManager;
-
-FocusManager = View.extend({
+var FocusManager = wp.media.View.extend({
 
 	events: {
Index: /trunk/src/wp-includes/js/media/views/frame.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/frame.js	(revision 31935)
@@ -16,11 +16,5 @@
  * @mixes wp.media.controller.StateMachine
  */
-var StateMachine = require( '../controllers/state-machine.js' ),
-	State = require( '../controllers/state.js' ),
-	Region = require( '../controllers/region.js' ),
-	View = require( './view.js' ),
-	Frame;
-
-Frame = View.extend({
+var Frame = wp.media.View.extend({
 	initialize: function() {
 		_.defaults( this.options, {
@@ -38,5 +32,5 @@
 		// Initialize regions.
 		_.each( this.regions, function( region ) {
-			this[ region ] = new Region({
+			this[ region ] = new wp.media.controller.Region({
 				view:     this,
 				id:       region,
@@ -56,5 +50,5 @@
 		// Create the default `states` collection.
 		this.states = new Backbone.Collection( null, {
-			model: State
+			model: wp.media.controller.State
 		});
 
@@ -168,5 +162,5 @@
 
 // Make the `Frame` a `StateMachine`.
-_.extend( Frame.prototype, StateMachine.prototype );
+_.extend( Frame.prototype, wp.media.controller.StateMachine.prototype );
 
 module.exports = Frame;
Index: /trunk/src/wp-includes/js/media/views/frame/audio-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame/audio-details.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/frame/audio-details.js	(revision 31935)
@@ -16,7 +16,5 @@
 var MediaDetails = wp.media.view.MediaFrame.MediaDetails,
 	MediaLibrary = wp.media.controller.MediaLibrary,
-	
-	AudioDetailsView = require( '../audio-details.js' ),
-	AudioDetailsController = require( '../../controllers/audio-details.js' ),
+
 	l10n = wp.media.view.l10n,
 	AudioDetails;
@@ -35,5 +33,5 @@
 
 	initialize: function( options ) {
-		options.DetailsView = AudioDetailsView;
+		options.DetailsView = wp.media.view.AudioDetails;
 		options.cancelText = l10n.audioDetailsCancel;
 		options.addText = l10n.audioAddSourceTitle;
@@ -51,5 +49,5 @@
 	createStates: function() {
 		this.states.add([
-			new AudioDetailsController( {
+			new wp.media.controller.AudioDetails( {
 				media: this.media
 			} ),
Index: /trunk/src/wp-includes/js/media/views/frame/edit-attachments.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame/edit-attachments.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/frame/edit-attachments.js	(revision 31935)
@@ -19,11 +19,4 @@
 var Frame = wp.media.view.Frame,
 	MediaFrame = wp.media.view.MediaFrame,
-	Modal = wp.media.view.Modal,
-	AttachmentCompat = wp.media.view.AttachmentCompat,
-	EditImageController = wp.media.controller.EditImage,
-
-	EditAttachmentMetadata = require( '../../controllers/edit-attachment-metadata.js' ),
-	TwoColumn = require( '../attachment/details-two-column.js' ),
-	DetailsView = require( '../edit-image-details.js' ),
 
 	$ = jQuery,
@@ -81,5 +74,5 @@
 		// Initialize modal container view.
 		if ( this.options.modal ) {
-			this.modal = new Modal({
+			this.modal = new wp.media.view.Modal({
 				controller: this,
 				title:      this.options.title
@@ -110,5 +103,5 @@
 	createStates: function() {
 		this.states.add([
-			new EditAttachmentMetadata( { model: this.model } )
+			new wp.media.controller.EditAttachmentMetadata( { model: this.model } )
 		]);
 	},
@@ -121,5 +114,5 @@
 	 */
 	editMetadataMode: function( contentRegion ) {
-		contentRegion.view = new TwoColumn({
+		contentRegion.view = new wp.media.view.Attachment.Details.TwoColumn({
 			controller: this,
 			model:      this.model
@@ -130,5 +123,5 @@
 		 * `attachment_fields_to_edit` filter.
 		 */
-		contentRegion.view.views.set( '.attachment-compat', new AttachmentCompat({
+		contentRegion.view.views.set( '.attachment-compat', new wp.media.view.AttachmentCompat({
 			controller: this,
 			model:      this.model
@@ -148,5 +141,5 @@
 	 */
 	editImageMode: function( contentRegion ) {
-		var editImageController = new EditImageController( {
+		var editImageController = new wp.media.controller.EditImage( {
 			model: this.model,
 			frame: this
@@ -157,5 +150,5 @@
 		editImageController._menu = function() {};
 
-		contentRegion.view = new DetailsView( {
+		contentRegion.view = new wp.media.view.EditImage.Details( {
 			model: this.model,
 			frame: this,
Index: /trunk/src/wp-includes/js/media/views/frame/image-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame/image-details.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/frame/image-details.js	(revision 31935)
@@ -16,11 +16,5 @@
  * @mixes wp.media.controller.StateMachine
  */
-var Select = require( './select.js' ),
-	Toolbar = require( '../toolbar.js' ),
-	ImageDetailsController = require( '../../controllers/image-details.js' ),
-	ReplaceImageController = require( '../../controllers/replace-image.js' ),
-	EditImageController = require( '../../controllers/edit-image.js' ),
-	ImageDetailsView = require( '../image-details.js' ),
-	EditImageView = require( '../edit-image.js' ),
+var Select = wp.media.view.MediaFrame.Select,
 	l10n = wp.media.view.l10n,
 	ImageDetails;
@@ -56,9 +50,9 @@
 	createStates: function() {
 		this.states.add([
-			new ImageDetailsController({
+			new wp.media.controller.ImageDetails({
 				image: this.image,
 				editable: false
 			}),
-			new ReplaceImageController({
+			new wp.media.controller.ReplaceImage({
 				id: 'replace-image',
 				library: wp.media.query( { type: 'image' } ),
@@ -70,5 +64,5 @@
 				displaySettings: true
 			}),
-			new EditImageController( {
+			new wp.media.controller.EditImage( {
 				image: this.image,
 				selection: this.options.selection
@@ -78,5 +72,5 @@
 
 	imageDetailsContent: function( options ) {
-		options.view = new ImageDetailsView({
+		options.view = new wp.media.view.ImageDetails({
 			controller: this,
 			model: this.state().image,
@@ -94,5 +88,5 @@
 		}
 
-		view = new EditImageView( { model: model, controller: this } ).render();
+		view = new wp.media.view.EditImage( { model: model, controller: this } ).render();
 
 		this.content.set( view );
@@ -104,5 +98,5 @@
 
 	renderImageDetailsToolbar: function() {
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -136,5 +130,5 @@
 			previous = lastState && lastState.id;
 
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
Index: /trunk/src/wp-includes/js/media/views/frame/manage.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame/manage.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/frame/manage.js	(revision 31935)
@@ -17,9 +17,5 @@
  */
 var MediaFrame = wp.media.view.MediaFrame,
-	UploaderWindow = wp.media.view.UploaderWindow,
-	AttachmentsBrowser = wp.media.view.AttachmentsBrowser,
 	Library = wp.media.controller.Library,
-
-	Router = require( '../../routers/manage.js' ),
 
 	$ = Backbone.$,
@@ -59,5 +55,5 @@
 		// Initialize a window-wide uploader.
 		if ( this.options.uploader ) {
-			this.uploader = new UploaderWindow({
+			this.uploader = new wp.media.view.UploaderWindow({
 				controller: this,
 				uploader: {
@@ -72,5 +68,5 @@
 		}
 
-		this.gridRouter = new Router();
+		this.gridRouter = new wp.media.view.MediaFrame.Manage.Router();
 
 		// Call 'initialize' directly on the parent class.
@@ -222,5 +218,5 @@
 
 		// Browse our library of attachments.
-		this.browserView = contentRegion.view = new AttachmentsBrowser({
+		this.browserView = contentRegion.view = new wp.media.view.AttachmentsBrowser({
 			controller: this,
 			collection: state.get('library'),
Index: /trunk/src/wp-includes/js/media/views/frame/media-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame/media-details.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/frame/media-details.js	(revision 31935)
@@ -13,7 +13,5 @@
  * @mixes wp.media.controller.StateMachine
  */
-var View = wp.media.View,
-	Toolbar = wp.media.view.Toolbar,
-	Select = wp.media.view.MediaFrame.Select,
+var Select = wp.media.view.MediaFrame.Select,
 	l10n = wp.media.view.l10n,
 	MediaDetails;
@@ -78,5 +76,5 @@
 				}
 			},
-			separateCancel: new View({
+			separateCancel: new wp.media.View({
 				className: 'separator',
 				priority: 40
@@ -87,5 +85,5 @@
 
 	setPrimaryButton: function(text, handler) {
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
Index: /trunk/src/wp-includes/js/media/views/frame/post.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame/post.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/frame/post.js	(revision 31935)
@@ -15,22 +15,6 @@
  * @mixes wp.media.controller.StateMachine
  */
-var View = require( '../view.js' ),
-	Select = require( './select.js' ),
-	Library = require( '../../controllers/library.js' ),
-	Embed = require( '../embed.js' ),
-	EditImage = require( '../edit-image.js' ),
-	EditSelection = require( '../attachment/edit-selection.js' ),
-	Toolbar = require( '../toolbar.js' ),
-	ToolbarEmbed = require( '../toolbar/embed.js' ),
-	PlaylistSettings = require( '../settings/playlist.js' ),
-	AttachmentsBrowser = require( '../attachments/browser.js' ),
-	SelectionView = require( '../selection.js' ),
-	EmbedController = require( '../../controllers/embed.js' ),
-	EditImageController = require( '../../controllers/edit-image.js' ),
-	GalleryEditController = require( '../../controllers/gallery-edit.js' ),
-	GalleryAddController = require( '../../controllers/gallery-add.js' ),
-	CollectionEditController = require( '../../controllers/collection-edit.js' ),
-	CollectionAddController = require( '../../controllers/collection-add.js' ),
-	FeaturedImageController = require( '../../controllers/featured-image.js' ),
+var Select = wp.media.view.MediaFrame.Select,
+	Library = wp.media.controller.Library,
 	l10n = wp.media.view.l10n,
 	Post;
@@ -106,10 +90,10 @@
 
 			// Embed states.
-			new EmbedController( { metadata: options.metadata } ),
-
-			new EditImageController( { model: options.editImage } ),
+			new wp.media.controller.Embed( { metadata: options.metadata } ),
+
+			new wp.media.controller.EditImage( { model: options.editImage } ),
 
 			// Gallery states.
-			new GalleryEditController({
+			new wp.media.controller.GalleryEdit({
 				library: options.selection,
 				editing: options.editing,
@@ -117,5 +101,5 @@
 			}),
 
-			new GalleryAddController(),
+			new wp.media.controller.GalleryAdd(),
 
 			new Library({
@@ -134,9 +118,9 @@
 
 			// Playlist states.
-			new CollectionEditController({
+			new wp.media.controller.CollectionEdit({
 				type: 'audio',
 				collectionType: 'playlist',
 				title:          l10n.editPlaylistTitle,
-				SettingsView:   PlaylistSettings,
+				SettingsView:   wp.media.view.Settings.Playlist,
 				library:        options.selection,
 				editing:        options.editing,
@@ -146,5 +130,5 @@
 			}),
 
-			new CollectionAddController({
+			new wp.media.controller.CollectionAdd({
 				type: 'audio',
 				collectionType: 'playlist',
@@ -166,9 +150,9 @@
 			}),
 
-			new CollectionEditController({
+			new wp.media.controller.CollectionEdit({
 				type: 'video',
 				collectionType: 'playlist',
 				title:          l10n.editVideoPlaylistTitle,
-				SettingsView:   PlaylistSettings,
+				SettingsView:   wp.media.view.Settings.Playlist,
 				library:        options.selection,
 				editing:        options.editing,
@@ -178,5 +162,5 @@
 			}),
 
-			new CollectionAddController({
+			new wp.media.controller.CollectionAdd({
 				type: 'video',
 				collectionType: 'playlist',
@@ -186,5 +170,5 @@
 
 		if ( wp.media.view.settings.post.featuredImageId ) {
-			this.states.add( new FeaturedImageController() );
+			this.states.add( new wp.media.controller.FeaturedImage() );
 		}
 	},
@@ -273,5 +257,5 @@
 	mainMenu: function( view ) {
 		view.set({
-			'library-separator': new View({
+			'library-separator': new wp.media.View({
 				className: 'separator',
 				priority: 100
@@ -312,5 +296,5 @@
 				}
 			},
-			separateCancel: new View({
+			separateCancel: new wp.media.View({
 				className: 'separator',
 				priority: 40
@@ -336,5 +320,5 @@
 				}
 			},
-			separateCancel: new View({
+			separateCancel: new wp.media.View({
 				className: 'separator',
 				priority: 40
@@ -360,5 +344,5 @@
 				}
 			},
-			separateCancel: new View({
+			separateCancel: new wp.media.View({
 				className: 'separator',
 				priority: 40
@@ -369,5 +353,5 @@
 	// Content
 	embedContent: function() {
-		var view = new Embed({
+		var view = new wp.media.view.Embed({
 			controller: this,
 			model:      this.state()
@@ -386,5 +370,5 @@
 			view;
 
-		view = new AttachmentsBrowser({
+		view = new wp.media.view.AttachmentsBrowser({
 			controller: this,
 			collection: selection,
@@ -396,5 +380,5 @@
 			dragInfo:   true,
 
-			AttachmentView: EditSelection
+			AttachmentView: wp.media.view.Attachments.EditSelection
 		}).render();
 
@@ -417,5 +401,5 @@
 	editImageContent: function() {
 		var image = this.state().get('image'),
-			view = new EditImage( { model: image, controller: this } ).render();
+			view = new wp.media.view.EditImage( { model: image, controller: this } ).render();
 
 		this.content.set( view );
@@ -434,5 +418,5 @@
 		var editable = this.state().get('editable');
 
-		view.set( 'selection', new SelectionView({
+		view.set( 'selection', new wp.media.view.Selection({
 			controller: this,
 			collection: this.state().get('selection'),
@@ -575,5 +559,5 @@
 
 	mainEmbedToolbar: function( toolbar ) {
-		toolbar.view = new ToolbarEmbed({
+		toolbar.view = new wp.media.view.Toolbar.Embed({
 			controller: this
 		});
@@ -582,5 +566,5 @@
 	galleryEditToolbar: function() {
 		var editing = this.state().get('editing');
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -611,5 +595,5 @@
 
 	galleryAddToolbar: function() {
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -639,5 +623,5 @@
 	playlistEditToolbar: function() {
 		var editing = this.state().get('editing');
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -668,5 +652,5 @@
 
 	playlistAddToolbar: function() {
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -696,5 +680,5 @@
 	videoPlaylistEditToolbar: function() {
 		var editing = this.state().get('editing');
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
@@ -725,5 +709,5 @@
 
 	videoPlaylistAddToolbar: function() {
-		this.toolbar.set( new Toolbar({
+		this.toolbar.set( new wp.media.view.Toolbar({
 			controller: this,
 			items: {
Index: /trunk/src/wp-includes/js/media/views/frame/select.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame/select.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/frame/select.js	(revision 31935)
@@ -15,9 +15,5 @@
  */
 
-var MediaFrame = require( '../media-frame.js' ),
-	Library = require( '../../controllers/library.js' ),
-	AttachmentsBrowser = require( '../attachments/browser.js' ),
-	UploaderInline = require( '../uploader/inline.js' ),
-	ToolbarSelect = require( '../toolbar/select.js' ),
+var MediaFrame = wp.media.view.MediaFrame,
 	l10n = wp.media.view.l10n,
 	Select;
@@ -77,5 +73,5 @@
 		this.states.add([
 			// Main states.
-			new Library({
+			new wp.media.controller.Library({
 				library:   wp.media.query( options.library ),
 				multiple:  options.multiple,
@@ -128,5 +124,5 @@
 
 		// Browse our library of attachments.
-		contentRegion.view = new AttachmentsBrowser({
+		contentRegion.view = new wp.media.view.AttachmentsBrowser({
 			controller: this,
 			collection: state.get('library'),
@@ -152,5 +148,5 @@
 	uploadContent: function() {
 		this.$el.removeClass( 'hide-toolbar' );
-		this.content.set( new UploaderInline({
+		this.content.set( new wp.media.view.UploaderInline({
 			controller: this
 		}) );
@@ -168,5 +164,5 @@
 		options.controller = this;
 
-		toolbar.view = new ToolbarSelect( options );
+		toolbar.view = new wp.media.view.Toolbar.Select( options );
 	}
 });
Index: /trunk/src/wp-includes/js/media/views/frame/video-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/frame/video-details.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/frame/video-details.js	(revision 31935)
@@ -16,6 +16,4 @@
 var MediaDetails = wp.media.view.MediaFrame.MediaDetails,
 	MediaLibrary = wp.media.controller.MediaLibrary,
-	VideoDetailsView = require( '../video-details.js' ),
-	VideoDetailsController = require( '../../controllers/video-details.js' ),
 	l10n = wp.media.view.l10n,
 	VideoDetails;
@@ -34,5 +32,5 @@
 
 	initialize: function( options ) {
-		options.DetailsView = VideoDetailsView;
+		options.DetailsView = wp.media.view.VideoDetails;
 		options.cancelText = l10n.videoDetailsCancel;
 		options.addText = l10n.videoAddSourceTitle;
@@ -52,5 +50,5 @@
 	createStates: function() {
 		this.states.add([
-			new VideoDetailsController({
+			new wp.media.controller.VideoDetails({
 				media: this.media
 			}),
Index: /trunk/src/wp-includes/js/media/views/iframe.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/iframe.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/iframe.js	(revision 31935)
@@ -7,8 +7,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Iframe;
-
-Iframe = View.extend({
+var Iframe = wp.media.View.extend({
 	className: 'media-iframe',
 	/**
Index: /trunk/src/wp-includes/js/media/views/image-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/image-details.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/image-details.js	(revision 31935)
@@ -11,5 +11,5 @@
  * @augments Backbone.View
  */
-var AttachmentDisplay = require( './settings/attachment-display.js' ),
+var AttachmentDisplay = wp.media.view.Settings.AttachmentDisplay,
 	$ = jQuery,
 	ImageDetails;
